   function [J,Y1] = MBKt_gen(xx)
   
% program for estimating the Mass M, viscosity B and stiffness K from a simulation
% with the simulink model MBK.mdl. This program is called by genetic
% algorithm genetic.m
% que = setstr(39);

load MBKdata

M = xx(1);
B = xx(2);
K = xx(3);

ydat = data(:,1); udat = data(:,2);

t = 0:0.01:10;

MBKs = ['[' num2str(M) ',' num2str(B) ',' num2str(K) ']'];
    
% set parameters in simulink model and perform simulation:
% set_param('MBK/Hmbk','Denominator',MBKs);  % set parameters
set_param('MBK/Hmbk','Denominator',MBKs);  % set parameters

[T,X,Y]=sim('MBK',t);

Y1 = Y(:,1);
e = Y(:,1) - ydat;

J = e'*e;