   function [J] = fm_MBK_ga(xx)
   
% program for estimating the Mass M, viscosity B and stiffness K from a simulation
% with the simulink model MBK.mdl. This program is called by levmar.m
% que = setstr(39);

load Zmbk

M = xx(1);
B = xx(2);
K = xx(3);

ydat = Zmbk(:,1); udat = Zmbk(:,2);

t = 0:0.01:10;

MBKs = ['[' num2str(M) ',' num2str(B) ',' num2str(K) ']'];
    
% set parameters in simulink model and perform simulation:
% set_param('MBK/Hmbk','Denominator',MBKs);  % set parameters
set_param('MBK7/Hmbk','Denominator',MBKs);  % set parameters

[T,X,Y,U]=sim('MBK',t);

e = Y - ydat;

J = e'*e;
